#!/bin/bash
#
# This file is part of fadecut
# https://github.com/micressor/fadecut
#
# fadecut is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# fadecut is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with fadecut.  If not, see <http://www.gnu.org/licenses/>.

# --- Constants ---------------------------------------------------------------
. ./config || exit 1
# --- Main --------------------------------------------------------------------
retMain=0
set -o pipefail

if [ -e ${LOCKFILE} ];
then
  echo "${LOCKFILE}: exists already"
  exit 1
fi

./prepare.sh
if [ $? -ge 1 ]; then
  echo "error while preparing test environment"
  exit 1
fi
mkdir ${HOME_FADECUT}

# loop ./recipts/*
cd ${RECIPES}
for Recipe in *.sh
do
  echo ./$Recipe $TESTFOLDER
  ./$Recipe $TESTFOLDER
  if [ $? -ge 1 ]; 
  then
    echo "$Recipe: Failed!"
    retMain=1
  else
    echo "$Recipe: Sucess!"
  fi
done
cd -
./cleanup.sh
if [ $? -ge 1 ]; then
  echo "error while cleaning up test environment"
  exit 1
fi
echo "returnvaule=${retMain}"
exit ${retMain}


